import { restful } from "@/utils/request";

/**
 * 构造 Service
 * @returns
 */
const [getPostsList, getPostsDetail, savePosts, updatePosts, deletePosts] =
  restful("/posts");

const [
  getPostsFilesList,
  getPostsFilesDetail,
  savePostsFiles,
  updatePostsFiles,
  deletePostsFiles,
] = restful("/postsFiles");

export {
  getPostsList,
  getPostsDetail,
  savePosts,
  updatePosts,
  deletePosts,
  
  getPostsFilesList,
  getPostsFilesDetail,
  savePostsFiles,
  updatePostsFiles,
  deletePostsFiles,
};
